## krfb 17.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

# KDE Application Version, managed by release script
set (KDE_APPLICATIONS_VERSION_MAJOR "17")
set (KDE_APPLICATIONS_VERSION_MINOR "12")
set (KDE_APPLICATIONS_VERSION_MICRO "3")
set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

project(krfb VERSION ${KDE_APPLICATIONS_VERSION})

set(QT_MIN_VERSION 5.6.0)
set(KF5_MIN_VERSION 5.31.0)

find_package(Qt5 REQUIRED COMPONENTS Core DBus Widgets X11Extras)

find_package(ECM ${KF5_MIN_VERSION} NO_MODULE REQUIRED)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMAddAppIcon)
include(ECMSetupVersion)
include(FeatureSummary)

ecm_setup_version(PROJECT
                  VARIABLE_PREFIX KRFB
                  VERSION_HEADER "krfb_version.h")

find_package(KF5 REQUIRED COMPONENTS
    I18n
    Completion
    Config
    CoreAddons
    Crash
    DBusAddons
    DNSSD
    DocTools
    Notifications
    Wallet
    WidgetsAddons
    XmlGui
)

find_package(X11 REQUIRED)

find_package(XCB REQUIRED COMPONENTS
    XCB
    RENDER
    SHAPE
    XFIXES
    DAMAGE
    SHM
    IMAGE
)

if(WIN32)
    set(CMAKE_REQUIRED_LIBRARIES ${KDEWIN32_LIBRARIES})
    set(CMAKE_REQUIRED_INCLUDES  ${KDEWIN32_INCLUDES})
endif(WIN32)

add_definitions(${QT_DEFINITIONS} ${QT_QTDBUS_DEFINITIONS})
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} )

set(CMAKE_MODULE_PATH
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules"
    ${CMAKE_MODULE_PATH}
)

find_package(LibVNCServer REQUIRED)


include_directories ("${CMAKE_CURRENT_BINARY_DIR}/krfb"
                     "${CMAKE_CURRENT_SOURCE_DIR}/krfb"
                     "${CMAKE_CURRENT_SOURCE_DIR}/krfb/ui"
)

if(Q_WS_X11)
  if(NOT X11_XTest_FOUND)
    message(FATAL_ERROR "krfb requires the libXtst (http://xorg.freedesktop.org) to be built")
  endif(NOT X11_XTest_FOUND)
endif(Q_WS_X11)

add_subdirectory(krfb)
add_subdirectory(framebuffers)
add_subdirectory(doc)
add_subdirectory(icons)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== krfb/CMakeLists.txt ===
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/config-krfb.h.cmake
                ${CMAKE_CURRENT_BINARY_DIR}/config-krfb.h
)

include(GenerateExportHeader)

#####################################
# First target: libkrfbprivate - a library
# for linking plugins against.

set (krfbprivate_SRCS
     framebuffer.cpp
     framebufferplugin.cpp
)

add_library (krfbprivate
                  SHARED
                  ${krfbprivate_SRCS}
)
generate_export_header(krfbprivate BASE_NAME krfbprivate)

target_link_libraries (krfbprivate
                       Qt5::Core
                       Qt5::Widgets
                       Qt5::X11Extras
                       ${X11_X11_LIB}
                       ${LIBVNCSERVER_LIBRARIES}
)

set_target_properties (krfbprivate PROPERTIES
                       VERSION 5
                       SOVERSION 5.0
)

install (TARGETS krfbprivate
         ${INSTALL_TARGETS_DEFAULT_ARGS}
         LIBRARY NAMELINK_SKIP
)

install (FILES
         krfb-framebuffer.desktop
         DESTINATION ${SERVICETYPES_INSTALL_DIR}
)

#####################################
# Second target: krfb - the app
# itself.

set (krfb_SRCS
     connectiondialog.cpp
     events.cpp
     framebuffermanager.cpp
     main.cpp
     mainwindow.cpp
     sockethelpers.cpp
     trayicon.cpp
     rfbservermanager.cpp
     rfbserver.cpp
     rfbclient.cpp
     invitationsrfbserver.cpp
     invitationsrfbclient.cpp
)

kconfig_add_kcfg_files (krfb_SRCS
                     krfbconfig.kcfgc
)

ki18n_wrap_ui (krfb_SRCS
                   ui/configtcp.ui
                   ui/configsecurity.ui
                   ui/configframebuffer.ui
                   ui/connectionwidget.ui
                   ui/mainwidget.ui
)

add_executable (krfb
                     ${krfb_SRCS}
)

target_link_libraries (krfb
                       krfbprivate
                       ${JPEG_LIBRARIES}
                       ${X11_Xext_LIB}
                       ${X11_X11_LIB}
                       ${X11_Xdamage_LIB}
                       Qt5::Network
                       KF5::Completion
                       KF5::CoreAddons
                       KF5::DBusAddons
                       KF5::DNSSD
                       KF5::I18n
                       KF5::Notifications
                       KF5::Wallet
                       KF5::WidgetsAddons
                       KF5::XmlGui
                       ${LIBVNCSERVER_LIBRARIES}
)

if (X11_XTest_FOUND)
    target_link_libraries (krfb
                           ${X11_XTest_LIB}
    )
endif (X11_XTest_FOUND)

install (TARGETS krfb
         ${INSTALL_TARGETS_DEFAULT_ARGS}
)

########### install files ###############

install (PROGRAMS org.kde.krfb.desktop
         DESTINATION ${XDG_APPS_INSTALL_DIR}
)

install(FILES org.kde.krfb.appdata.xml
        DESTINATION ${KDE_INSTALL_METAINFODIR}
)

install (FILES krfb.notifyrc
         DESTINATION ${DATA_INSTALL_DIR}/krfb
)

=== debian/changelog ===
krfb (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:30:14 +0000

krfb (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * Install new icons
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * Add pkg-config to build depends
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 17:00:08 +0000

krfb (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * Add libxcb -dev packages to build deps, to build new XCB framebuffer
    plugin
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:09:21 +0000

=== debian/control ===
Source: krfb
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libjpeg-dev,
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5dnssd-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libvncserver-dev,
               libx11-dev,
               libxcb-damage0-dev,
               libxcb-image0-dev,
               libxcb-shm0-dev,
               libxdamage-dev,
               libxtst-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krfb
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krfb

Package: krfb
Section: net
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter, krdc
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: Desktop Sharing utility
 KDE Desktop Sharing is a manager for easily sharing a desktop session with
 another system.  The desktop session can be viewed or controlled remotely by
 any VNC or RFB client, such as the KDE Remote Desktop Connection client.
 .
 KDE Desktop Sharing can restrict access to only users who are explicitly
 invited, and will ask for confirmation when a user attempts to connect.
 .
 This package is part of the KDE networking module.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/krfb-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/krfb-([\d.]+).tar.xz

## krfb 18.04.3

=== debian/changelog ===
krfb (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:20:28 +0100

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
                libxtst-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krfb

## krfb 18.12.3

=== debian/changelog ===
krfb (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:31:43 +0000

krfb (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:18:50 +0000

krfb (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:13:00 +0000

krfb (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:51:13 +0000

krfb (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/patches: build_against_gcc-6.patch not required.
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 02 Jan 2019 23:15:16 +0000

## krfb 19.04.3

=== debian/changelog ===
krfb (4:19.04.3-0ubuntu2) eoan; urgency=medium

  * Add upstream_fix_missing_include.diff

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 11 Sep 2019 15:42:39 +0100

krfb (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:17:21 +0100

krfb (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:10:22 +0100

krfb (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 21:01:03 +0100

krfb (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:46:35 +0100

=== debian/control ===
Source: krfb
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.7.0~),
               libjpeg-dev,
               libkf5completion-dev,
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5crash-dev,
               libkf5dbusaddons-dev,
               libkf5dnssd-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5notifications-dev,
               libkf5wallet-dev,
               libkf5widgetsaddons-dev,
               libkf5xmlgui-dev,
               libqt5x11extras5-dev,
               libvncserver-dev,
               libx11-dev,
               libxcb-damage0-dev,
               libxcb-image0-dev,
               libxcb-render0-dev,
               libxcb-shape0-dev,
               libxcb-shm0-dev,
               libxcb-xfixes0-dev,
               libxcb1-dev,
               libxdamage-dev,
               libxtst-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev,
Standards-Version: 4.1.1
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krfb
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krfb

Package: krfb
Section: net
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter, krdc
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: Desktop Sharing utility
 KDE Desktop Sharing is a manager for easily sharing a desktop session with
 another system.  The desktop session can be viewed or controlled remotely by
 any VNC or RFB client, such as the KDE Remote Desktop Connection client.
 .
 KDE Desktop Sharing can restrict access to only users who are explicitly
 invited, and will ask for confirmation when a user attempts to connect.
 .
 This package is part of the KDE networking module.

## krfb 19.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

# KDE Application Version, managed by release script
set (KDE_APPLICATIONS_VERSION_MAJOR "19")
set (KDE_APPLICATIONS_VERSION_MINOR "12")
set (KDE_APPLICATIONS_VERSION_MICRO "3")
set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

project(krfb VERSION ${KDE_APPLICATIONS_VERSION})

set(QT_MIN_VERSION 5.6.0)
set(KF5_MIN_VERSION 5.31.0)

find_package(ECM ${KF5_MIN_VERSION} NO_MODULE REQUIRED)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMAddAppIcon)
include(ECMSetupVersion)
include(FeatureSummary)
include(CheckIncludeFile)

check_include_file("linux/input.h" HAVE_LINUX_INPUT_H)

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core DBus Widgets X11Extras)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    I18n
    Completion
    Config
    CoreAddons
    Crash
    DBusAddons
    DNSSD
    DocTools
    Notifications
    Wallet
    WidgetsAddons
    WindowSystem
    XmlGui
)

find_package(X11 REQUIRED)

find_package(XCB REQUIRED COMPONENTS
    XCB
    RENDER
    SHAPE
    XFIXES
    DAMAGE
    SHM
    IMAGE
)

if(WIN32)
    set(CMAKE_REQUIRED_LIBRARIES ${KDEWIN32_LIBRARIES})
    set(CMAKE_REQUIRED_INCLUDES  ${KDEWIN32_INCLUDES})
endif(WIN32)

add_definitions(
    -DQT_DEPRECATED_WARNINGS
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050600
    -DQT_USE_QSTRINGBUILDER
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_STRICT_ITERATORS
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_SIGNALS_SLOTS_KEYWORDS
    -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
)

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} )

find_package(LibVNCServer REQUIRED)

find_package(PipeWire)
set_package_properties(PipeWire PROPERTIES
    TYPE OPTIONAL
    PURPOSE "Required for pipewire screencast plugin"
)

ecm_setup_version(PROJECT
                  VARIABLE_PREFIX KRFB
                  VERSION_HEADER "krfb_version.h")

include_directories ("${CMAKE_CURRENT_BINARY_DIR}/krfb"
                     "${CMAKE_CURRENT_SOURCE_DIR}/krfb"
                     "${CMAKE_CURRENT_SOURCE_DIR}/krfb/ui"
)

if(Q_WS_X11)
  if(NOT X11_XTest_FOUND)
    message(FATAL_ERROR "krfb requires the libXtst (https://xorg.freedesktop.org) to be built")
  endif(NOT X11_XTest_FOUND)
endif(Q_WS_X11)

add_subdirectory(events)
add_subdirectory(krfb)
add_subdirectory(framebuffers)
add_subdirectory(doc)
add_subdirectory(icons)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== framebuffers/CMakeLists.txt ===
add_subdirectory (qt)

if (${XCB_DAMAGE_FOUND} AND ${XCB_SHM_FOUND} AND ${XCB_IMAGE_FOUND})
    add_subdirectory (xcb)
endif()

if (${PipeWire_FOUND})
    add_subdirectory(pipewire)
endif()

=== krfb/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,8 @@
 set (krfbprivate_SRCS
      framebuffer.cpp
      framebufferplugin.cpp
+     events.cpp
+     eventsplugin.cpp
 )
 
 add_library (krfbprivate
@@ -18,6 +20,7 @@
                   ${krfbprivate_SRCS}
 )
 generate_export_header(krfbprivate BASE_NAME krfbprivate)
+
 
 target_link_libraries (krfbprivate
                        Qt5::Core
@@ -39,6 +42,7 @@
 
 install (FILES
          krfb-framebuffer.desktop
+         krfb-events.desktop
          DESTINATION ${SERVICETYPES_INSTALL_DIR}
 )
 
@@ -48,8 +52,9 @@
 
 set (krfb_SRCS
      connectiondialog.cpp
+     framebuffermanager.cpp
      events.cpp
-     framebuffermanager.cpp
+     eventsmanager.cpp
      main.cpp
      mainwindow.cpp
      sockethelpers.cpp
@@ -73,6 +78,10 @@
                    ui/mainwidget.ui
 )
 
+qt5_add_resources(krfb_SRCS
+    krfb.qrc
+)
+
 add_executable (krfb
                      ${krfb_SRCS}
 )
@@ -92,6 +101,7 @@
                        KF5::Notifications
                        KF5::Wallet
                        KF5::WidgetsAddons
+                       KF5::WindowSystem
                        KF5::XmlGui
                        ${LIBVNCSERVER_LIBRARIES}
 )
@@ -119,4 +129,4 @@
 install (FILES krfb.notifyrc
          DESTINATION ${DATA_INSTALL_DIR}/krfb
 )
- 
+

=== events/x11/CMakeLists.txt ===
include_directories (${CMAKE_CURRENT_SOURCE_DIR}
                     ${CMAKE_CURRENT_BINARY_DIR}
)

set (krfb_events_x11_SRCS
     x11events.cpp
     x11eventsplugin.cpp
)

add_library (krfb_events_x11 MODULE ${krfb_events_x11_SRCS})

target_link_libraries (krfb_events_x11
                       ${X11_XTest_LIB}
                       KF5::CoreAddons
                       krfbprivate
)

install (TARGETS krfb_events_x11 DESTINATION ${PLUGIN_INSTALL_DIR}/krfb)

=== events/xdp/CMakeLists.txt ===
include_directories (${CMAKE_CURRENT_SOURCE_DIR}
                     ${CMAKE_CURRENT_BINARY_DIR}
)

set (krfb_events_xdp_SRCS
     xdpevents.cpp
     xdpeventsplugin.cpp
)

qt5_add_dbus_interface(
   krfb_events_xdp_SRCS
   ${CMAKE_SOURCE_DIR}/dbus/xdp_dbus_remotedesktop_interface.xml
   xdp_dbus_remotedesktop_interface
)

add_library (krfb_events_xdp MODULE ${krfb_events_xdp_SRCS})

target_link_libraries (krfb_events_xdp
                       KF5::CoreAddons
                       KF5::I18n
                       Qt5::DBus
                       krfbprivate
)

install (TARGETS krfb_events_xdp
         DESTINATION ${PLUGIN_INSTALL_DIR}/krfb
)

=== framebuffers/pipewire/CMakeLists.txt ===
include_directories (${CMAKE_CURRENT_SOURCE_DIR}
                     ${CMAKE_CURRENT_BINARY_DIR}
)

set (krfb_framebuffer_pw_SRCS
     pw_framebuffer.cpp
     pw_framebufferplugin.cpp
)

qt5_add_dbus_interface(
   krfb_framebuffer_pw_SRCS
   ${CMAKE_SOURCE_DIR}/dbus/xdp_dbus_screencast_interface.xml
   xdp_dbus_screencast_interface
)

qt5_add_dbus_interface(
   krfb_framebuffer_pw_SRCS
   ${CMAKE_SOURCE_DIR}/dbus/xdp_dbus_remotedesktop_interface.xml
   xdp_dbus_remotedesktop_interface
)

add_library(krfb_framebuffer_pw
    MODULE
    ${krfb_framebuffer_pw_SRCS}
)

target_link_libraries (krfb_framebuffer_pw
                       Qt5::Core
                       Qt5::Gui
                       Qt5::DBus
                       KF5::CoreAddons
                       krfbprivate
                       PipeWire::PipeWire
)

install (TARGETS krfb_framebuffer_pw
         DESTINATION ${PLUGIN_INSTALL_DIR}/krfb
)

=== debian/changelog ===
krfb (4:19.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream point release (19.12.3).
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 09 Mar 2020 19:23:11 +0100

krfb (4:19.12.2-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.04.1).
  * Update Vcs links to salsa.
  * Bump Standards-Version to 4.1.4 (No changes needed).
  * Bump debhelper build-dep and compat to 11.
  * Update build-deps and deps with the info from cmake
  * Update copyright file for new upstream.

  [ Aurélien COUDERC ]
  * Switch debian/watch to new KDE release service URL.
  * New upstream release (19.12.2). (Closes: #949083)
  * Update build dependencies according to upstream build system:
    - cmake >= 3.0
    - Qt >= 5.6.0
    - KF5 libraries >= 5.31.0
    - add libpipewire-0.2-dev build dependency
  * Drop patch build_against_gcc-6.patch fixed upstream.
  * Drop kde-l10n migration rules, not needed anymore after 2 stable releases.
  * Use secure copyright file specification URI.
  * Switch to debhelper-compat build dependency, bump compatibility level to
    12.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Switch from dhmk to dh --with kf5.
  * Borrow minimal upstream signing key from k3b.
  * Bump Standards-Version to 4.5.0:
    - Add Rules-Requires-Root: no.
  * Add hardening=+all build hardening flag.
  * Refresh debian/copyright.
  * Update project homepage URL.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 13 Feb 2020 19:52:18 +0100

=== debian/control ===
Source: krfb
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.31.0~),
               libjpeg-dev,
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5dnssd-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libpipewire-0.2-dev,
               libqt5x11extras5-dev (>= 5.6.0~),
               libvncserver-dev,
               libx11-dev,
               libxcb-damage0-dev,
               libxcb-image0-dev,
               libxcb-render0-dev,
               libxcb-shape0-dev,
               libxcb-shm0-dev,
               libxcb-xfixes0-dev,
               libxcb1-dev,
               libxdamage-dev,
               libxtst-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.6.0~),
Standards-Version: 4.5.0
Homepage: https://kde.org/applications/internet/org.kde.krfb
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/krfb
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/krfb.git
Rules-Requires-Root: no

Package: krfb
Section: net
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter, krdc
Description: Desktop Sharing utility
 KDE Desktop Sharing is a manager for easily sharing a desktop session with
 another system.  The desktop session can be viewed or controlled remotely by
 any VNC or RFB client, such as the KDE Remote Desktop Connection client.
 .
 KDE Desktop Sharing can restrict access to only users who are explicitly
 invited, and will ask for confirmation when a user attempts to connect.
 .
 This package is part of the KDE networking module.

## krfb 20.08.2

=== debian/changelog ===
krfb (4:20.08.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Oct 2020 18:40:15 +0100

krfb (4:20.08.1-2) unstable; urgency=medium

  * Team upload.

  [ Simon McVittie ]
  * Build with libpipewire-0.3-dev (Closes: #969612)

 -- Pino Toscano <pino@debian.org>  Fri, 11 Sep 2020 07:20:49 +0200

krfb (4:20.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop patch add_libpthread_to_krfb.diff, as krfb builds fine even without.
  * Limit the libpipewire-0.2-dev build dependency as linux-any, as pipewire
    exists only on Linux; this makes krfb buildable on non-Linux architectures.
  * Remove the explicit as-needed linking, as it is done by binutils now.

 -- Pino Toscano <pino@debian.org>  Thu, 03 Sep 2020 17:56:19 +0200

krfb (4:20.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add the configuration for the CI on salsa.
  * Explicitly add the gettext build dependency.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Mon, 24 Aug 2020 19:41:16 +0200

krfb (4:20.04.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.04.2).
  * Refresh copyright information.
  * Bump debhelper compatibility level to 13.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 16 Jun 2020 17:55:51 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,9 @@
            Eshat Cakar <info@eshat.de>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.0~),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 5.31.0~),
+               gettext,
                libjpeg-dev,
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
@@ -23,7 +24,7 @@
                libkf5wallet-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5xmlgui-dev (>= 5.31.0~),
-               libpipewire-0.2-dev,
+               libpipewire-0.3-dev [linux-any],
                libqt5x11extras5-dev (>= 5.6.0~),
                libvncserver-dev,
                libx11-dev,

## krfb 20.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,15 @@
 cmake_minimum_required(VERSION 3.0)
 
 # KDE Application Version, managed by release script
-set (KDE_APPLICATIONS_VERSION_MAJOR "19")
-set (KDE_APPLICATIONS_VERSION_MINOR "12")
-set (KDE_APPLICATIONS_VERSION_MICRO "3")
-set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
+set (RELEASE_SERVICE_VERSION_MAJOR "20")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
-project(krfb VERSION ${KDE_APPLICATIONS_VERSION})
+project(krfb VERSION ${RELEASE_SERVICE_VERSION})
 
-set(QT_MIN_VERSION 5.6.0)
-set(KF5_MIN_VERSION 5.31.0)
+set(QT_MIN_VERSION 5.10.0)
+set(KF5_MIN_VERSION 5.68.0)
 
 find_package(ECM ${KF5_MIN_VERSION} NO_MODULE REQUIRED)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${ECM_MODULE_PATH})
@@ -20,6 +20,7 @@
 include(ECMInstallIcons)
 include(ECMAddAppIcon)
 include(ECMSetupVersion)
+include(ECMQtDeclareLoggingCategory)
 include(FeatureSummary)
 include(CheckIncludeFile)
 
@@ -29,7 +30,6 @@
 
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
     I18n
-    Completion
     Config
     CoreAddons
     Crash
@@ -104,6 +104,12 @@
 add_subdirectory(doc)
 add_subdirectory(icons)
 
+ecm_qt_install_logging_categories(
+    EXPORT KRFB
+    FILE krfb.categories
+    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
+)
+
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
 ki18n_install(po)
 if (KF5DocTools_FOUND)

=== framebuffers/pipewire/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,15 @@
 set (krfb_framebuffer_pw_SRCS
      pw_framebuffer.cpp
      pw_framebufferplugin.cpp
+)
+
+
+ecm_qt_declare_logging_category(krfb_framebuffer_pw_SRCS
+    HEADER krfb_fb_pipewire_debug.h
+    IDENTIFIER KRFB_FB_PIPEWIRE
+    CATEGORY_NAME krfb.framebuffer.pipewire
+    DESCRIPTION "KRFB PipeWire framebuffer plugin"
+    EXPORT KRFB
 )
 
 qt5_add_dbus_interface(
@@ -24,6 +33,12 @@
     ${krfb_framebuffer_pw_SRCS}
 )
 
+
+check_include_file("linux/dma-buf.h" HAVE_LINUX_DMABUF_H)
+if (HAVE_LINUX_DMABUF_H)
+    target_compile_definitions(krfb_framebuffer_pw PRIVATE -DHAVE_LINUX_DMABUF_H)
+endif ()
+
 target_link_libraries (krfb_framebuffer_pw
                        Qt5::Core
                        Qt5::Gui

=== framebuffers/xcb/CMakeLists.txt ===
include_directories (${CMAKE_CURRENT_SOURCE_DIR}
                     ${CMAKE_CURRENT_BINARY_DIR}
)

set (krfb_framebuffer_xcb_SRCS
      xcb_framebufferplugin.cpp
      xcb_framebuffer.cpp
)

ecm_qt_declare_logging_category(krfb_framebuffer_xcb_SRCS
    HEADER krfb_fb_xcb_debug.h
    IDENTIFIER KRFB_FB_XCB
    CATEGORY_NAME krfb.framebuffer.xcb
    DESCRIPTION "KRFB XCB framebuffer plugin"
    EXPORT KRFB
)

add_library(krfb_framebuffer_xcb MODULE ${krfb_framebuffer_xcb_SRCS})

target_link_libraries (krfb_framebuffer_xcb
                       Qt5::Core
                       Qt5::Gui
                       XCB::XCB
                       XCB::RENDER
                       XCB::SHAPE
                       XCB::XFIXES
                       XCB::DAMAGE
                       XCB::SHM
                       XCB::IMAGE
                       KF5::CoreAddons
                       krfbprivate
)

install (TARGETS krfb_framebuffer_xcb
         DESTINATION ${PLUGIN_INSTALL_DIR}/krfb
)

=== debian/changelog ===
krfb (4:20.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update upstream GPG signing key.

 -- Pino Toscano <pino@debian.org>  Thu, 04 Feb 2021 14:33:49 +0100

krfb (4:20.12.0-2) unstable; urgency=medium

  * Reupload source-only so it can migrate to testing.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 05 Jan 2021 16:16:36 +0100

krfb (4:20.12.0-1) unstable; urgency=medium

  * New upstream release (20.12.0).
  * Update the build dependencies according to the upstream build system:
    - KF5 >= 5.68
    - drop libkf5completion-dev
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh upstream metadata.
  * Update project homepage.
  * Removed Eshat Cakar, George Kiagiadakis, Maximiliano Curia, Modestas
    Vainius from the uploaders, thanks for your work on the package!
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 04 Jan 2021 22:00:24 +0100

krfb (4:20.08.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.08.2).
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.10.0

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 30 Oct 2020 12:13:23 +0100

=== debian/control ===
Source: krfb
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.68.0~),
               gettext,
               libjpeg-dev,
               libkf5config-dev (>= 5.68.0~),
               libkf5coreaddons-dev (>= 5.68.0~),
               libkf5crash-dev (>= 5.68.0~),
               libkf5dbusaddons-dev (>= 5.68.0~),
               libkf5dnssd-dev (>= 5.68.0~),
               libkf5doctools-dev (>= 5.68.0~),
               libkf5i18n-dev (>= 5.68.0~),
               libkf5notifications-dev (>= 5.68.0~),
               libkf5wallet-dev (>= 5.68.0~),
               libkf5widgetsaddons-dev (>= 5.68.0~),
               libkf5xmlgui-dev (>= 5.68.0~),
               libpipewire-0.3-dev [linux-any],
               libqt5x11extras5-dev (>= 5.10.0~),
               libvncserver-dev,
               libx11-dev,
               libxcb-damage0-dev,
               libxcb-image0-dev,
               libxcb-render0-dev,
               libxcb-shape0-dev,
               libxcb-shm0-dev,
               libxcb-xfixes0-dev,
               libxcb1-dev,
               libxdamage-dev,
               libxtst-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.10.0~),
Standards-Version: 4.5.1
Homepage: https://apps.kde.org/en/krfb
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/krfb
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/krfb.git
Rules-Requires-Root: no

Package: krfb
Section: net
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter, krdc
Description: Desktop Sharing utility
 KDE Desktop Sharing is a manager for easily sharing a desktop session with
 another system.  The desktop session can be viewed or controlled remotely by
 any VNC or RFB client, such as the KDE Remote Desktop Connection client.
 .
 KDE Desktop Sharing can restrict access to only users who are explicitly
 invited, and will ask for confirmation when a user attempts to connect.
 .
 This package is part of the KDE networking module.

## krfb 20.12.3

=== debian/changelog ===
krfb (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:25:18 +0000

## krfb 21.08.1

=== debian/changelog ===
krfb (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:37:33 +0100

krfb (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:06:46 +0100

krfb (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 13:00:46 +0100

krfb (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)
  * Add gbm and epoxy build depends.

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 19:15:15 +0100

krfb (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:47:57 +0100

krfb (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:44:55 +0100

krfb (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:11:32 +0100

krfb (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:41:39 +0100

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,8 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.68.0~),
                gettext,
+               libepoxy-dev,
+               libgbm-dev,
                libjpeg-dev,
                libkf5config-dev (>= 5.68.0~),
                libkf5coreaddons-dev (>= 5.68.0~),

## krfb 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,15 @@
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "20")
+set (RELEASE_SERVICE_VERSION_MAJOR "21")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(krfb VERSION ${RELEASE_SERVICE_VERSION})
 
-set(QT_MIN_VERSION 5.10.0)
-set(KF5_MIN_VERSION 5.68.0)
+set(QT_MIN_VERSION 5.15.0)
+set(KF5_MIN_VERSION 5.85.0)
 
 find_package(ECM ${KF5_MIN_VERSION} NO_MODULE REQUIRED)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${ECM_MODULE_PATH})
@@ -38,6 +38,7 @@
     DocTools
     Notifications
     Wallet
+    Wayland
     WidgetsAddons
     WindowSystem
     XmlGui
@@ -77,11 +78,42 @@
 
 find_package(LibVNCServer REQUIRED)
 
-find_package(PipeWire)
-set_package_properties(PipeWire PROPERTIES
+
+pkg_check_modules(PipeWire IMPORTED_TARGET libpipewire-0.3)
+add_feature_info(PipeWire PipeWire_FOUND "Required for pipewire screencast plugin")
+find_package(PlasmaWaylandProtocols 1.5.0)
+
+if(PipeWire_FOUND AND PlasmaWaylandProtocols_FOUND)
+    find_package(QtWaylandScanner REQUIRED)
+    find_package(Qt5WaylandClient)
+    find_package(Qt5XkbCommonSupport)
+    find_package(Wayland REQUIRED COMPONENTS Client)
+endif()
+
+find_package(gbm)
+set_package_properties(gbm PROPERTIES
     TYPE OPTIONAL
-    PURPOSE "Required for pipewire screencast plugin"
+    PURPOSE "Required for dma-buf support in pipewire screencast plugin."
 )
+
+find_package(EGL)
+set_package_properties(EGL PROPERTIES
+    TYPE OPTIONAL
+    PURPOSE "Required for dma-buf support in pipewire screencast plugin."
+)
+
+find_package(epoxy)
+set_package_properties(epoxy PROPERTIES DESCRIPTION "libepoxy"
+    URL "https://github.com/anholt/libepoxy"
+    TYPE OPTIONAL
+    PURPOSE "Required for dma-buf support in pipewire screencast plugin."
+)
+
+if(EGL_FOUND AND gbm_FOUND AND epoxy_FOUND)
+  set (HAVE_DMA_BUF TRUE)
+else()
+  set (HAVE_DMA_BUF FALSE)
+endif()
 
 ecm_setup_version(PROJECT
                   VARIABLE_PREFIX KRFB

=== krfb/CMakeLists.txt ===
--- 
+++ 
@@ -36,14 +36,14 @@
 )
 
 install (TARGETS krfbprivate
-         ${INSTALL_TARGETS_DEFAULT_ARGS}
+         ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
          LIBRARY NAMELINK_SKIP
 )
 
 install (FILES
          krfb-framebuffer.desktop
          krfb-events.desktop
-         DESTINATION ${SERVICETYPES_INSTALL_DIR}
+         DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR}
 )
 
 #####################################
@@ -66,11 +66,19 @@
      invitationsrfbclient.cpp
 )
 
+ecm_qt_declare_logging_category(krfb_SRCS
+    HEADER krfbdebug.h
+    IDENTIFIER KRFB
+    CATEGORY_NAME krfb.krfb
+    DESCRIPTION "KRFB Application"
+    EXPORT KRFB
+)
+
 kconfig_add_kcfg_files (krfb_SRCS
                      krfbconfig.kcfgc
 )
 
-ki18n_wrap_ui (krfb_SRCS
+ki18n_wrap_ui (krfb_UI_SRCS
                    ui/configtcp.ui
                    ui/configsecurity.ui
                    ui/configframebuffer.ui
@@ -84,6 +92,7 @@
 
 add_executable (krfb
                      ${krfb_SRCS}
+                     ${krfb_UI_SRCS}
 )
 
 target_link_libraries (krfb
@@ -93,7 +102,6 @@
                        ${X11_X11_LIB}
                        ${X11_Xdamage_LIB}
                        Qt5::Network
-                       KF5::Completion
                        KF5::CoreAddons
                        KF5::DBusAddons
                        KF5::DNSSD
@@ -113,13 +121,48 @@
 endif (X11_XTest_FOUND)
 
 install (TARGETS krfb
-         ${INSTALL_TARGETS_DEFAULT_ARGS}
+         ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
+)
+
+#################################
+kconfig_add_kcfg_files (krfbvm_SRCS
+                     krfbconfig.kcfgc
+)
+
+ecm_qt_declare_logging_category(krfbvm_SRCS
+    HEADER krfbdebug.h
+    IDENTIFIER KRFB
+    CATEGORY_NAME krfb.krfb
+    DESCRIPTION "KRFB Application"
+    EXPORT KRFB
+)
+
+add_executable(krfb-virtualmonitor main-virtualmonitor.cpp ${krfbvm_SRCS} ${krfb_UI_SRCS}
+                                   rfbserver.cpp rfbclient.cpp rfbservermanager.cpp eventsmanager.cpp framebuffermanager.cpp sockethelpers.cpp)
+target_link_libraries(krfb-virtualmonitor
+                      krfbprivate
+                      Qt5::Gui
+                      Qt5::Network
+                      KF5::ConfigGui
+                      KF5::CoreAddons
+                      KF5::I18n
+                      KF5::Notifications
+                      KF5::WindowSystem
+)
+
+install (TARGETS krfb-virtualmonitor
+         ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
+)
+
+configure_file(org.kde.krfb.virtualmonitor.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.kde.krfb.virtualmonitor.desktop @ONLY)
+install (PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.krfb.virtualmonitor.desktop
+         DESTINATION ${KDE_INSTALL_APPDIR}
 )
 
 ########### install files ###############
 
 install (PROGRAMS org.kde.krfb.desktop
-         DESTINATION ${XDG_APPS_INSTALL_DIR}
+         DESTINATION ${KDE_INSTALL_APPDIR}
 )
 
 install(FILES org.kde.krfb.appdata.xml
@@ -127,6 +170,6 @@
 )
 
 install (FILES krfb.notifyrc
-         DESTINATION ${DATA_INSTALL_DIR}/krfb
+         DESTINATION ${KDE_INSTALL_DATADIR}/krfb
 )

=== debian/changelog ===
krfb (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:15:08 +0000

krfb (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:21:41 +0000

krfb (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:29:32 +0000

krfb (4:21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:26:42 +0000

krfb (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:10:48 +0000

krfb (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)
  * Drop included upstream_fix-clean-parallel-build.patch

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:21:52 +0000

krfb (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)
  * Update build deps from cmake.
  * debian/patches: Add upstream_fix-clean-parallel-build.patch

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:29:11 +0000

krfb (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:44:18 +0000

=== debian/control ===
Source: krfb
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.68.0~),
               gettext,
               libepoxy-dev,
               libgbm-dev,
               libjpeg-dev,
               libkf5config-dev (>= 5.85.0~),
               libkf5coreaddons-dev (>= 5.85.0~),
               libkf5crash-dev (>= 5.85.0~),
               libkf5dbusaddons-dev (>= 5.85.0~),
               libkf5dnssd-dev (>= 5.85.0~),
               libkf5doctools-dev (>= 5.85.0~),
               libkf5i18n-dev (>= 5.85.0~),
               libkf5notifications-dev (>= 5.85.0~),
               libkf5wallet-dev (>= 5.85.0~),
               libkf5wayland-dev (>= 4:5.85.0~),
               libkf5widgetsaddons-dev (>= 5.85.0~),
               libkf5windowsystem-dev (>= 5.85.0~),
               libkf5xmlgui-dev (>= 5.85.0~),
               libpipewire-0.3-dev [linux-any],
               libqt5waylandclient5-dev,
               libqt5x11extras5-dev (>= 5.15.0~),
               libvncserver-dev,
               libwayland-dev,
               libx11-dev,
               libxcb-damage0-dev,
               libxcb-image0-dev,
               libxcb-render0-dev,
               libxcb-shape0-dev,
               libxcb-shm0-dev,
               libxcb-xfixes0-dev,
               libxcb1-dev,
               libxdamage-dev,
               libxtst-dev,
               pkg-config,
               pkg-kde-tools,
               plasma-wayland-protocols (>= 1.5.0~),
               qtbase5-dev (>= 5.15.0~),
               qtbase5-private-dev,
               qtwayland5-dev-tools,
Standards-Version: 4.5.1
Homepage: https://apps.kde.org/en/krfb
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krfb
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krfb
Rules-Requires-Root: no

Package: krfb
Section: net
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter, krdc
Description: Desktop Sharing utility
 KDE Desktop Sharing is a manager for easily sharing a desktop session with
 another system.  The desktop session can be viewed or controlled remotely by
 any VNC or RFB client, such as the KDE Remote Desktop Connection client.
 .
 KDE Desktop Sharing can restrict access to only users who are explicitly
 invited, and will ask for confirmation when a user attempts to connect.
 .
 This package is part of the KDE networking module.

## krfb 22.08.1

=== debian/changelog ===
krfb (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:44:26 +0100

krfb (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:53:53 +0100

krfb (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:31:38 +0100

krfb (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:06:07 +0100

krfb (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:05:04 +0100

krfb (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:52:28 +0100
